import re


def decimal_price_to_pence(price: str) -> int:
    pmatch = re.search(r"£?([0-9]+)\.([0-9]+)", price)
    if pmatch is None:
        raise ValueError(
            "Unable to extract price from " + price
        )
    return int(pmatch.group(1)) * 100 + int(pmatch.group(2))


# https://stackoverflow.com/a/434328 CC BY-SA 4.0
def chunker(seq, size):
    return (seq[pos:pos + size] for pos in range(0, len(seq), size))
